## jOpenPTS-0.2.4.tgz

=== Makefile ===
#
# The Initial Developer of the Original Code is International
# Business Machines Corporation. Portions created by IBM
# Corporation are Copyright (C) 2007,2009 International Business
# Machines Corporation. All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the Common Public License as published by
# IBM Corporation; either version 1 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# Common Public License for more details.
#
# You should have received a copy of the Common Public License
# along with this program; if not, a copy can be viewed at
# http://www.opensource.org/licenses/cpl1.0.php.
#

PKGNAME=jOpenPTS
VERSION=0.2.4

ifndef INSTDIR
  INSTDIR=/usr/lib/jopenpts
endif

RPMDIR=$(HOME)/rpmbuild

TMP=/home/$(USER)/sandbox

ANT=ant

usage:
	@echo "-------------------------- Setup jars"
	@echo " make eclipse-setup-fedora"
	@echo " make eclipse-setup-ubuntu"
	@echo "-------------------------- Normal built"
	@echo " make all"
	@echo " make install"
	@echo " make clean"
	@echo "------------------------------- for RPM"
	@echo " make rpmbuild-ba"
	@echo "------------------------------- for DEB"
	@echo " make dpkg-buildpackage"
	@echo "---------------------------------------"

############################
# Normal
############################

all:
	$(ANT) compile

runtests:
	$(ANT) runtests

install:
	mkdir -p $(DESTDIR)/usr/bin
	install -m 0755 jopenpts  $(DESTDIR)/usr/bin/
	install -m 0755 jopenpts-gui  $(DESTDIR)/usr/bin/
	mkdir -p $(DESTDIR)/usr/share/applications/
	install -m 0755 dist/jopenpts.desktop  $(DESTDIR)/usr/share/applications/


doc:
	$(ANT) javadocs

clean:
	ant clean
	#make -C lib clean
	rm -rf aot-compile-rpm 
	rm -f *.list

#########################################
# RPM
#########################################

../$(PKGNAME)-$(VERSION):
	ln -s $(PWD) ../$(PKGNAME)-$(VERSION)

rpmbuild-ba: ../$(PKGNAME)-$(VERSION)
	rm -f  $(RPMDIR)/SOURCES/$(PKGNAME)-$(VERSION).tar.gz 
	make clean
	cd ..; tar --exclude=.git --exclude=bin --exclude=.project -zcvf $(RPMDIR)/SOURCES/$(PKGNAME)-$(VERSION).tar.gz $(PKGNAME)-$(VERSION)/*
	cd ..; rpmbuild -ba $(PKGNAME)-$(VERSION)/dist/$(PKGNAME).spec

###########################
# Debian package
###########################

debian:
	ln -s dist/deb/debian debian

dpkg-buildpackage: debian
	chmod +x debian/rules
	-dpkg-buildpackage -tc -b

#########################################
# Setup for Eclipse
#########################################
lib:
	mkdir -p lib

eclipse-setup-fedora: lib
	ln -sf /usr/share/java/log4j.jar ./lib/log4j.jar
	ln -sf /usr/share/java/jakarta-commons-codec.jar ./lib/commons-codec.jar
	ln -sf /usr/share/java/jakarta-commons-logging.jar ./lib/commons-logging.jar
	ln -sf /usr/share/java/jakarta-commons-daemon.jar ./lib/commons-daemon.jar
	ln -sf /usr/share/java/jsch.jar ./lib/jsch.jar

eclipse-setup-fedora15: lib
	ln -sf /usr/share/java/log4j.jar ./lib/log4j.jar
	ln -sf /usr/share/java/commons-codec.jar ./lib/commons-codec.jar
	ln -sf /usr/share/java/commons-logging.jar ./lib/commons-logging.jar
	ln -sf /usr/share/java/jsch.jar ./lib/jsch.jar
	
eclipse-setup-ubuntu: lib
	ln -sf /usr/share/java/log4j-1.2.jar ./lib/log4j.jar
	ln -sf /usr/share/java/commons-codec.jar ./lib/commons-codec.jar
	ln -sf /usr/share/java/commons-logging.jar ./lib/commons-logging.jar
	ln -sf /usr/share/java/commons-daemon.jar ./lib/commons-daemon.jar

# EOF

=== dist/deb/debian/changelog ===
openpts-core (0.1.3-git20090405) unstable; urgency=low

  * Initial DEB package (for Ubuntu 8.10)

 -- munetoh <munetoh@users.sourceforge.jp>  Sun, 5 Apr 2009 09:16:04 +0900

=== dist/deb/debian/control ===
Source: openpts-core
Section: libs
Priority: extra
Maintainer: Seiji Munetoh <munetoh@users.sourceforge.jp>
Build-Depends: debhelper (>= 7), cdbs, ant-optional, default-jdk-builddep, libcommons-logging-java, libibatis-java, libpg-java, libcommons-codec-java
Standards-Version: 3.7.3
Homepage: http://sourceforge.jp/projects/openpts/

Package: openpts-core
Architecture: all
Section: libs
Recommends: ant, libopenpts-java-gcj
Suggests: libopenpts-java-doc
Depends: default-jre-headless | java1-runtime-headless | java2-runtime-headless, libcommons-logging-java, libibatis-java, libpg-java, libcommons-codec-java
Description: A TCG PTS implementation in Java
 OpenPlatformTrustServices is an implementation of the TCG PTS ("Platform Trust Services")

Package: openpts-core-gcj
Architecture: any
Section: libs
Depends: libopenpts-java (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: A TCG PTS implementation in Java (native code)
 OpenPlatformTrustServices is an implementation of the TCG PTS ("Platform Trust Services")

Package: openpts-core-doc
Architecture: all
Section: doc
Suggests: libopenpts-java
Description: A TCG PTS implementation in Java
 OpenPlatformTrustServices is an implementation of the TCG PTS ("Platform Trust Services")

=== dist/deb/debian/rules ===
#!/usr/bin/make -f

export VERSION = $(shell head -1 debian/changelog | cut -f2 -d\( | cut -f1 -d\) | cut -f1 -d\-)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

include /usr/share/gcj/debian_defaults
ifneq (,$(filter $(DEB_HOST_ARCH), $(gcj_native_archs)))
  with_gcj_native := yes
endif

#JAVA_HOME := /usr/lib/jvm/default-java
#JAVA_HOME := /usr/lib/jvm/java-gcj
JAVA_HOME := /usr/lib/jvm/java-6-sun
ANT_HOME := /usr/share/ant

DEB_JARS := $(ANT_HOME)/lib/ant-nodeps.jar commons-logging commons-discovery commons-codec ibatis axis postgresql-jdbc3

DEB_ANT_BUILD_TARGET := compile javadocs
DEB_ANT_INSTALL_TARGET := 

ifeq ($(with_gcj_native),yes)
install/openpts-core-gcj:: install/openpts-core
	[ -d debian/openpts-core/usr/share/java ] || dh_install -popenpts-core
	dh_nativejava -popenpts-core-gcj
endif
